Printable version

Drivers & software

HPE Scripting Toolkit for Linux

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Utility - Tools
Version: 11.40(20 Dec 2019)
Operating System(s): Debian GNU/Linux 7.0
Debian GNU/Linux 8.0
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86)
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 15
Multi-part download
File name: hpe-scripting-toolkit-linux-11.40-27.tar.gz (135 MB)
File name: hpe-scripting-toolkit-linux-11.40-27.tar.gz.sig (287 Bytes)
The HPE Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring HP ProLiant server hardware. The HPE Scripting Toolkit supports HP ProLiant servers, in both Windows and Linux environments and includes limited ProLiant 100 series support prior to Gen8. With Gen8 servers, all of the 100 series are supported. The HPE Scripting Toolkit includes a modular set of utilities and important documentation that describe how to apply these new tools to build an automated server deployment process. The latest features are available at: www.hp.com/go/ProLiant/STK. Previous versions of the Scripting Toolkit (called the SmartStart Scripting Toolkit (SSS TK) are available at: http://www.hp.com/go/foundation.

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 Plus servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs

To ensure the integrity of your download, HPE recommends verifying your results with the following SHA-256 Checksum values:

d485fd467c8b53c69eb4f7bb9ef118fdcb5311abdd97f67d5760dac673a29c73 hpe-scripting-toolkit-linux-11.40-27.tar.gz.sig
15ee43ab50e0241d608db174566380e886d940745c0ea43f421ebc535a4e7e89 hpe-scripting-toolkit-linux-11.40-27.tar.gz

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

Read the information provided in the User Guide PDF file for Scripting Toolkit description, installation and usage.

For Available Support Documentation: 

HPE Scripting Toolkit User Guide for Linux: http://www.hpe.com/info/stk/docs


End User License Agreements:
HPE Software License Agreement v1
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

HPE is now offering the HPE Scripting Toolkit (STK) utilities for Linux as standalone packages, see links below.
 
The HPE Scripting toolkit utilities are published to the HPE Software Delivery Repository (SDR) under the Extras directory:
http://downloads.linux.hpe.com/SDR/downloads/Extras
 
Follow this link to get setup:
http://downloads.linux.hpe.com/SDR/getting_started.html
 

 


Notes:

The HPE Scripting Toolkit is a server deployment product that delivers unattended automated installation for high volume ProLiant server deployments.

The HPE Scripting Toolkit is a server deployment product that delivers unattended automated installation for high volume server deployments.  The toolkit includes a modular set of utilities and important documentation that describes how to apply these new tools to build an automated server deployment process.

Using HPE technology, the Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring ProLiant server hardware.

For a complete list of support, view the HPE Scripting Toolkit Support Guide: http://www.hpe.com/info/stk/docs


HPE is now offering the HPE Scripting Toolkit (STK) utilities for Linux as standalone packages, see links below.
 
The HPE Scripting toolkit utilities are published to the HPE Software Delivery Repository (SDR) under the Extras directory:
http://downloads.linux.hpe.com/SDR/downloads/Extras
 
Follow this link to get setup:
http://downloads.linux.hpe.com/SDR/getting_started.html
 

 

Version:11.41 (1 Sep 2020)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This version of STK contains updates pertaining to Customer Bulletin a00102357en_us

Enhancements

Added support for new HPE ProLiant Gen10 Plus servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.40 (20 Dec 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 Plus servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.30 (11 Apr 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.20 (2 Jul 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.10 (5 Mar 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.05 (12 Oct 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.00 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated the Conrep utility to support Gen10/iLO5 based servers.  Gen10/iLO based servers use a separate XML file(conrep_gen10.xml).
  • Added and updated drivers to support the latest hardware.
  • Added the RESTful Interface Tool(iLOREST) to allow local and remote configuration of Gen9 and Gen10 servers.
  • Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.50 (28 Oct 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs

 


Version:10.40 (1 Apr 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed issue with mounting NFS shares.

Enhancements

Conrep 4.6 - Added support for new ProLiant Gen9 server BIOS setting.

HPDiscovery 4.6 - Added support for 32GB and larger DIMMs.

Added support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/go/stk/docs


Version:10.30 (1 Oct 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


 Setbootorder 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

 Conrep 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

Enhancements

 RBSUReset 4.5
 - Added the ability to clear the RBSU Admin password by passing in the current password on the command line(-p argument).

 Conrep 4.5
 - Added support for TPM 2.0 configuration.

Added support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.20 (19 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs

Conrep: Added the option to Clear the TPM Module in the conrep.xml file.


Version:10.10 (13 Mar 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The following issues were resolved in Conrep version 4.3:

  • When performing the load functionality, settings that share the same NVRAM location would not be updated

  • The save/load functionality did not work properly on HP ProLiant 100-series servers, which had a ROM BIOS family code = Oxx.

  • TPM 1.2 settings could not be read or changed properly on HP ProLiant Gen9 servers.

The following issue was resolved in Setbootorder version 4.3:

  • Setbootorder now displays a message that the server needs a reboot when trying to set the boot order to default instead of an eror message trying to read EV "CQHIPL".
Enhancements

Added support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.02 (13 Nov 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Includes Conrep 4.1.2.0 - Fix for issue with Conrep where saved conrep.dat file includes incorrect PCI_Devices section.

Enhancements

Added support for ProLiant Gen9 servers.


Version:10.00 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for ProLiant Gen9 servers.


Version:9.60 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added new server support.


Version:9.50 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.40 (19 Feb 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Version:9.30 (29 Oct 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.20 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SmartStart Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

v9.20 contains the following updates:


Version:9.10 (4 Jun 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
  

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.00 (27 Mar 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit  that differentiate it from the previous SS Scripting Tookit used for pre-Gen 8 servers are:
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • Linux RPM Package
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited HP ProLiant 100 series support for pre- Gen8 servers.)

Updated the following:


Version:8.70 (5 Apr 2011)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for the following:

  • Hardware shipping with SmartStart version 8.70, including limited support for HP ProLiant 100 Server series

Updated the following utilities:


Version:8.60 (c) (17 Feb 2011)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


8.60c Release Contains:

Added support:

  • Hardware shipping with SmartStart version 8.60c, including the HP ProLiant 100 Server series

 Updated:

  • Server Support Matrix
  • Conrep XML files

 


Version:8.50 (8 Jun 2010)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for the following:

  • Hardware shipping with SmartStart version 8.50, including the HP ProLiant 100 Server series

Updated the following utilities:

  • SmartStart Scripting Toolkit User Guide

Version:8.40 (b) (11 May 2010)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Added support for the following:

  • Hardware shipping with SmartStart version 8.40, including the HP ProLiant 100 Server series

Version:2.20c (19 Nov 2009)
Fixes

Fixed CONREP.xml files on the 100 Series Servers.

Enhancements

Added support for the following:

  • Hardware shipping with SmartStart version 8.30, including the HP ProLiant 100 Server series

Updated the following utilities:

  • Emulex hplpcfg utility
  • Qlogic hpqlarep utility
  • SmartStart Scripting Toolkit User Guide

Version:2.10c (28 Jul 2009)
Fixes
Release 2.10c was created to distribute updated CONREP binaries
Enhancements
  • Updated CONREP binary to version 2.20c for Power Management and Memory support on certain servers.

Version:2 (15 Sep 2008)
Enhancements

Added support for hardware shipping with SmartStart version 8.10.

Updated the SmartStart Scripting Toolkit User Guide.


Version:1.90 (31 Mar 2008)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for hardware shipping with SmartStart version 8.00.

Updated the SmartStart Scripting Toolkit User Guide.


Version:1.81 (14 Sep 2007)
Enhancements

Added support for hardware shipping with SmartStart v7.90.

Added support for Red Hat Linux 5 for x86 & AMD64 and Intel EM64

Updated User Guide.


Version:1.8 (5 Sep 2007)
Enhancements

Added support for hardware shipping with SmartStart v7.90.

Added support for Red Hat Linux 5 for x86 & AMD64 and Intel EM64

Updated User Guide.


Version:1.7 (14 May 2007)
Enhancements
This release of SmartStart Scripting Toolkit includes Software and Driver updates from SmartStart 7.80.  It also has HW Discovery Enhancements that include Redundant Rom, and DIMM Slot information.  There are Set Boot Order Enchancements that display current settings and Improve PXE handling.

Updated User Guide.


Version:1.6 (19 Dec 2006)
Enhancements
Updated Drivers and Software from SmartStart 7.70.

Updated User Guide.


Version:1.5 (25 Sep 2006)
Enhancements
Added support for hardware shipping with SmartStart v7.60.

Updated documentation.


Version:1.4 (22 May 2006)
Enhancements
Added support for hardware shipping with SmartStart v7.50.

Updated documentation.


Version:1.3 (20 Oct 2005)
Enhancements
Updated the boot environment to SUSE LINUX Enterprise Server 9.

Updated documentation to include end-end deployment examples.


Version:1.2 (16 May 2005)
Enhancements
SmartStart Scripting Toolkit - Linux version 1.2 contains updates for new hardware shipping with SmartStart 7.30.

Version:1.1 (14 Feb 2005)
Enhancements
SmartStart Scripting Toolkit - Linux version 1.1 contains support for new hardware shipping with SmartStart 7.20

Updated conrep to add support for CPU Performance, HW Prefetcher, Adjacent Sector Prefect (CQHPER) and for drive write cache (CQHATA)

New hwquery and ifhw tools for enhanced utilization of hardware discovery data.


Version:1 (13 Sep 2004)
Enhancements
Linux Edition Version 1.0 features:
  • SmartStart Scripting Toolkit utilities are now available for a Linux pre-boot environment.

  • Utilities supported under the the Linux environment delivered with this version.

  • Supports installation of RedHat, SUSE and United Linux.
For a complete list of support, view the Product Support Matrix

Type: Utility - Tools
Version: 11.40(20 Dec 2019)
Operating System(s):
Debian GNU/Linux 7.0
Debian GNU/Linux 8.0
Red Hat Enterprise Linux 5 Server (x86)
Red Hat Enterprise Linux 5 Server (x86-64)
Red Hat Enterprise Linux 6 Server (x86)
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 15

Description

The HPE Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring HP ProLiant server hardware. The HPE Scripting Toolkit supports HP ProLiant servers, in both Windows and Linux environments and includes limited ProLiant 100 series support prior to Gen8. With Gen8 servers, all of the 100 series are supported. The HPE Scripting Toolkit includes a modular set of utilities and important documentation that describe how to apply these new tools to build an automated server deployment process. The latest features are available at: www.hp.com/go/ProLiant/STK. Previous versions of the Scripting Toolkit (called the SmartStart Scripting Toolkit (SSS TK) are available at: http://www.hp.com/go/foundation.

Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 Plus servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with the following SHA-256 Checksum values:

d485fd467c8b53c69eb4f7bb9ef118fdcb5311abdd97f67d5760dac673a29c73 hpe-scripting-toolkit-linux-11.40-27.tar.gz.sig
15ee43ab50e0241d608db174566380e886d940745c0ea43f421ebc535a4e7e89 hpe-scripting-toolkit-linux-11.40-27.tar.gz

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

Read the information provided in the User Guide PDF file for Scripting Toolkit description, installation and usage.

For Available Support Documentation: 

HPE Scripting Toolkit User Guide for Linux: http://www.hpe.com/info/stk/docs


Release Notes

End User License Agreements:
HPE Software License Agreement v1
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

HPE is now offering the HPE Scripting Toolkit (STK) utilities for Linux as standalone packages, see links below.
 
The HPE Scripting toolkit utilities are published to the HPE Software Delivery Repository (SDR) under the Extras directory:
http://downloads.linux.hpe.com/SDR/downloads/Extras
 
Follow this link to get setup:
http://downloads.linux.hpe.com/SDR/getting_started.html
 

 


Notes:

The HPE Scripting Toolkit is a server deployment product that delivers unattended automated installation for high volume ProLiant server deployments.

The HPE Scripting Toolkit is a server deployment product that delivers unattended automated installation for high volume server deployments.  The toolkit includes a modular set of utilities and important documentation that describes how to apply these new tools to build an automated server deployment process.

Using HPE technology, the Scripting Toolkit provides a flexible way to create standard server configuration scripts. These scripts are used to automate many of the manual steps in the server configuration process. This automated server configuration process cuts time from each server deployed, making it possible to scale server deployments to high volumes in rapid fashion. The HPE Scripting Toolkit is designed for IT experts with experience in scripting operating system installations and configuring ProLiant server hardware.

For a complete list of support, view the HPE Scripting Toolkit Support Guide: http://www.hpe.com/info/stk/docs


Important

HPE is now offering the HPE Scripting Toolkit (STK) utilities for Linux as standalone packages, see links below.
 
The HPE Scripting toolkit utilities are published to the HPE Software Delivery Repository (SDR) under the Extras directory:
http://downloads.linux.hpe.com/SDR/downloads/Extras
 
Follow this link to get setup:
http://downloads.linux.hpe.com/SDR/getting_started.html
 

 

Revision History

Version:11.41 (1 Sep 2020)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This version of STK contains updates pertaining to Customer Bulletin a00102357en_us

Enhancements

Added support for new HPE ProLiant Gen10 Plus servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.40 (20 Dec 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 Plus servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.30 (11 Apr 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.20 (2 Jul 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.10 (5 Mar 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.05 (12 Oct 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:11.00 (12 Jul 2017)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


  • Updated the Conrep utility to support Gen10/iLO5 based servers.  Gen10/iLO based servers use a separate XML file(conrep_gen10.xml).
  • Added and updated drivers to support the latest hardware.
  • Added the RESTful Interface Tool(iLOREST) to allow local and remote configuration of Gen9 and Gen10 servers.
  • Added Support for new HPE ProLiant Gen10 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs


Version:10.50 (28 Oct 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/info/stk/docs

 


Version:10.40 (1 Apr 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixed issue with mounting NFS shares.

Enhancements

Conrep 4.6 - Added support for new ProLiant Gen9 server BIOS setting.

HPDiscovery 4.6 - Added support for 32GB and larger DIMMs.

Added support for new HPE ProLiant Gen9 servers.

For supported servers please refer to http://www.hpe.com/go/stk/docs


Version:10.30 (1 Oct 2015)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


 Setbootorder 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

 Conrep 4.5
 - Fixed issue with UEFI boot order not correctly moving Generic USB and Dynamic Smart Array devices in the boot order.

Enhancements

 RBSUReset 4.5
 - Added the ability to clear the RBSU Admin password by passing in the current password on the command line(-p argument).

 Conrep 4.5
 - Added support for TPM 2.0 configuration.

Added support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.20 (19 Jun 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs

Conrep: Added the option to Clear the TPM Module in the conrep.xml file.


Version:10.10 (13 Mar 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


The following issues were resolved in Conrep version 4.3:

  • When performing the load functionality, settings that share the same NVRAM location would not be updated

  • The save/load functionality did not work properly on HP ProLiant 100-series servers, which had a ROM BIOS family code = Oxx.

  • TPM 1.2 settings could not be read or changed properly on HP ProLiant Gen9 servers.

The following issue was resolved in Setbootorder version 4.3:

  • Setbootorder now displays a message that the server needs a reboot when trying to set the boot order to default instead of an eror message trying to read EV "CQHIPL".
Enhancements

Added support for new HP ProLiant Gen9 servers.

For supported servers please refer to http://www.hp.com/go/stk/docs


Version:10.02 (13 Nov 2014)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Includes Conrep 4.1.2.0 - Fix for issue with Conrep where saved conrep.dat file includes incorrect PCI_Devices section.

Enhancements

Added support for ProLiant Gen9 servers.


Version:10.00 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for ProLiant Gen9 servers.


Version:9.60 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added new server support.


Version:9.50 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.40 (19 Feb 2013)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Version:9.30 (29 Oct 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.20 (4 Sep 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SmartStart Scripting Toolkit used for pre-Gen 8 servers are:
 
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

v9.20 contains the following updates:


Version:9.10 (4 Jun 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit that differentiate it from the previous SS Scripting Toolkit used for pre-Gen 8 servers are:
  

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • 32-bit and x64 Windows Toolkits have been combined into a single deliverable
  • All HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited ProLiant 100 series support for pre-Gen8 servers.)

Updated the following utilities:


Version:9.00 (27 Mar 2012)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


New features added to the HP Scripting Toolkit  that differentiate it from the previous SS Scripting Tookit used for pre-Gen 8 servers are:
 

  • HP ROM Configuration Utility (HPRCU) which is an improved version of CONREP to set RBSU settings.
  • Linux RPM Package
  • All of the HP ProLiant 100 series Gen 8 servers are supported. (The HP Scripting Toolkit includes limited HP ProLiant 100 series support for pre- Gen8 servers.)

Updated the following:


Version:8.70 (5 Apr 2011)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for the following:

  • Hardware shipping with SmartStart version 8.70, including limited support for HP ProLiant 100 Server series

Updated the following utilities:


Version:8.60 (c) (17 Feb 2011)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


8.60c Release Contains:

Added support:

  • Hardware shipping with SmartStart version 8.60c, including the HP ProLiant 100 Server series

 Updated:

  • Server Support Matrix
  • Conrep XML files

 


Version:8.50 (8 Jun 2010)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for the following:

  • Hardware shipping with SmartStart version 8.50, including the HP ProLiant 100 Server series

Updated the following utilities:

  • SmartStart Scripting Toolkit User Guide

Version:8.40 (b) (11 May 2010)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Added support for the following:

  • Hardware shipping with SmartStart version 8.40, including the HP ProLiant 100 Server series

Version:2.20c (19 Nov 2009)
Fixes

Fixed CONREP.xml files on the 100 Series Servers.

Enhancements

Added support for the following:

  • Hardware shipping with SmartStart version 8.30, including the HP ProLiant 100 Server series

Updated the following utilities:

  • Emulex hplpcfg utility
  • Qlogic hpqlarep utility
  • SmartStart Scripting Toolkit User Guide

Version:2.10c (28 Jul 2009)
Fixes
Release 2.10c was created to distribute updated CONREP binaries
Enhancements
  • Updated CONREP binary to version 2.20c for Power Management and Memory support on certain servers.

Version:2 (15 Sep 2008)
Enhancements

Added support for hardware shipping with SmartStart version 8.10.

Updated the SmartStart Scripting Toolkit User Guide.


Version:1.90 (31 Mar 2008)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for hardware shipping with SmartStart version 8.00.

Updated the SmartStart Scripting Toolkit User Guide.


Version:1.81 (14 Sep 2007)
Enhancements

Added support for hardware shipping with SmartStart v7.90.

Added support for Red Hat Linux 5 for x86 & AMD64 and Intel EM64

Updated User Guide.


Version:1.8 (5 Sep 2007)
Enhancements

Added support for hardware shipping with SmartStart v7.90.

Added support for Red Hat Linux 5 for x86 & AMD64 and Intel EM64

Updated User Guide.


Version:1.7 (14 May 2007)
Enhancements
This release of SmartStart Scripting Toolkit includes Software and Driver updates from SmartStart 7.80.  It also has HW Discovery Enhancements that include Redundant Rom, and DIMM Slot information.  There are Set Boot Order Enchancements that display current settings and Improve PXE handling.

Updated User Guide.


Version:1.6 (19 Dec 2006)
Enhancements
Updated Drivers and Software from SmartStart 7.70.

Updated User Guide.


Version:1.5 (25 Sep 2006)
Enhancements
Added support for hardware shipping with SmartStart v7.60.

Updated documentation.


Version:1.4 (22 May 2006)
Enhancements
Added support for hardware shipping with SmartStart v7.50.

Updated documentation.


Version:1.3 (20 Oct 2005)
Enhancements
Updated the boot environment to SUSE LINUX Enterprise Server 9.

Updated documentation to include end-end deployment examples.


Version:1.2 (16 May 2005)
Enhancements
SmartStart Scripting Toolkit - Linux version 1.2 contains updates for new hardware shipping with SmartStart 7.30.

Version:1.1 (14 Feb 2005)
Enhancements
SmartStart Scripting Toolkit - Linux version 1.1 contains support for new hardware shipping with SmartStart 7.20

Updated conrep to add support for CPU Performance, HW Prefetcher, Adjacent Sector Prefect (CQHPER) and for drive write cache (CQHATA)

New hwquery and ifhw tools for enhanced utilization of hardware discovery data.


Version:1 (13 Sep 2004)
Enhancements
Linux Edition Version 1.0 features:
  • SmartStart Scripting Toolkit utilities are now available for a Linux pre-boot environment.

  • Utilities supported under the the Linux environment delivered with this version.

  • Supports installation of RedHat, SUSE and United Linux.
For a complete list of support, view the Product Support Matrix

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.